<?php

/**
 * JTL Plugin
 * Copyright (C) 2011 - 2018 Andreas Petermann
 *
 * PHP version 5.6+
 *
 * @copyright css-umsetzung
 * @author Andreas Petermann <info@css-umsetzung.de>
 * @package css_BasketButton
 * @version 1.03
 *         
 */


namespace css_BasketButton;

if(defined("FILENAME_KUNDENZIP") || defined("JTLCRON") || defined("AM_EINSTELLUNGEN")) return;

require_once str_replace("frontend/","",$oPlugin->cFrontendPfad) . 'classes/class.css_BasketButton.php';

$cssPlugin = css_BasketButton::getInstance($oPlugin);

switch($oPlugin->nCalledHook) {
	
	case HOOK_ARTIKEL_PAGE:
		$cssPlugin->hookArtikelPage($args_arr);
		break;
	
	case HOOK_SMARTY_OUTPUTFILTER:
		$cssPlugin->hookSmartyOutputfilter();
		break;
}